Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84688 - redhat-config-users crash with new python2-2.2.2-3.7.3
Summary: redhat-config-users crash with new python2-2.2.2-3.7.3
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libuser
Version: 7.3
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-20 14:15 UTC by Uri Shohet
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-01 17:50:09 UTC


Attachments (Terms of Use)

Description Uri Shohet 2003-02-20 14:15:50 UTC
Description of problem:
After the upgrade from python2-2.2-16 to python2-2.2.2-3.7.3 (including devel),
redhat-config-users crashes with:
Traceback (most recent call last):
  File "/usr/share/redhat-config-users/redhat-config-users.py", line 25, in ?
    import libuser
ImportError: /usr/lib/python2.2/site-packages/libusermodule.so: undefined
symbol: PyUnicodeUCS4_AsUTF8String

Version-Release number of selected component (if applicable):
python2-devel-2.2.2-3.7.3
python2-2.2.2-3.7.3
libuser-0.50.2-1

How reproducible:
always

Steps to Reproduce:
1. upgrade python2-2.2-16 to python2-2.2.2-3.7.3
2. run redhat-config-users
    
Actual results:


Expected results:


Additional info:
for now I'm back to teh previous version of python2

Thanks

Comment 1 Gilbert Sebenste 2003-10-29 16:42:53 UTC
Gilbert Sebenste here from Northern Illinois University. I get the exact same 
thing Uri reports, but on RH 9. This is a bad one...

Gilbert

Comment 2 Gilbert Sebenste 2003-10-29 16:48:25 UTC
Gilbert again...

Upon further review, the error message is different:

redhat-config-users
/usr/share/redhat-config-users/redhat-config-users: line 4: 20729 
Segmentation fault      /usr/bin/python2.2 
/usr/share/redhat-config-users/redhat-config-users.py

Sorry about that!

Gilbert

Comment 3 Miloslav Trmač 2004-09-01 17:50:09 UTC
Works fine with current versions of python.


Note You need to log in before you can comment on or make changes to this bug.